For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Online API
    • API Environments
    • Direct Payment Flow
    • REST
    • HTTPS
    • Dates
    • Pagination
    • Authentication
    • Idempotent Requests
    • Timeouts
    • API Simulator
  • Models
    • Introduction
    • Contact Object
    • Consumer Object
    • Discount Object
    • Item Object
    • Money Object
    • Order Details Object
    • Payment Object
    • Refund Object
    • Shipping Courier Object
  • Service Status
    • GETPing
  • Configuration
    • GETGet Configuration
  • Orders
    • Introduction
    • GETGet Order
    • POSTCreate Order
  • Javascript afterpay.js
    • Information
    • Redirect Method
  • Payments
    • Introduction
    • POSTCapture Payment
    • PUTUpdate Shipping Courier
    • GETGet Payment By Order ID
    • GETGet Payment By Token
    • GETList Payment(s)
    • POSTCreate Refund
    • PUTUpdate Payment by Order ID
    • POSTReverse Payment By Token
  • Errors
    • Introduction
    • Get Errors
    • Put/Post Errors
  • Reference
LogoLogo
Payments

List Payment(s)

GET
https://global-api-sandbox.afterpay.com/v1/payments/environment::environment
GET
/v1/payments/environment::environment
$curl https://global-api-sandbox.afterpay.com/v1/payments/environment:environment \
> -H "User-Agent: User-Agent" \
> -u "<username>:<password>"
1{}
This endpoint retrieves a collection of payments along with their order details. ### Connection Timeouts | Timeout | Time (Seconds) | | ------- | ------------ | | Open | 10 | | Read | 20 |
Was this page helpful?
Previous

Create Refund

Next
Built with

This endpoint retrieves a collection of payments along with their order details.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

environmentstringRequired

Use api-sandbox for AU/NZ, or api.us-sandbox for US.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Query parameters

toCreatedDatestringOptional
An inclusive end date and time to search, in [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) format.
fromCreatedDatestringOptional
An inclusive start date and time to search, in [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) format.
limitintegerOptionalDefaults to 20

The number of results to retrieve. Must be between 1 and 250 (inclusive).

offsetintegerOptionalDefaults to 0
The position to start the results at. The first result has a position of 0.
tokenslist of stringsOptional
One or more order tokens to search for.
idslist of stringsOptional
One or more Afterpay Order IDs to search for.
merchantReferenceslist of stringsOptional
One or more Merchant Reference IDs to search for.
statuseslist of stringsOptional
One or more Afterpay Order Statuses to search for. Possible values include "APPROVED" and "DECLINED".
orderBystringOptionalDefaults to createdAt
A field to order results by. If provided, must be one of "createdAt", "id", "totalAmount", "merchantReference" or "email".
ascendingbooleanOptionalDefaults to false

true to order results in ascending order, or false for descending order.

Response

Returns the matching Payment objects, enclosed in a Pagination object.

Errors

422
Unprocessable Entity Error
500
Internal Server Error

An inclusive end date and time to search, in ISO 8601 format.

An inclusive start date and time to search, in ISO 8601 format.